/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.hero-block {
  aspect-ratio: 1920/930;
  max-height: 93rem;
  min-height: 70rem;
  width: 100%;
  position: relative;
}
.hero-block .hero-wrapper {
  grid-column: full-width !important;
  -webkit-mask-image: url("../../../assets/svg/hero-mask.svg");
  mask-image: url("../../../assets/svg/hero-mask.svg");
  -webkit-mask-mode: alpha;
  mask-mode: alpha;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-position: center;
  -webkit-mask-size: cover;
  mask-size: cover;
  background-color: black;
  overflow: hidden;
}
.hero-block .container {
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
  padding: clamp(16.4rem, 12vw, 21.2rem) 2.4rem 10rem;
  text-align: center;
  max-width: calc(1036px + 4.8rem);
  margin: 0 auto;
}
.hero-block .container .heading,
.hero-block .container .text {
  color: #fff;
}
.hero-block .button-container {
  margin: 1.3rem 0 0;
}
.hero-block .hero-badge {
  position: absolute;
  bottom: -1rem;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
  max-width: 20rem;
}
.hero-block .hero-badge img {
  aspect-ratio: 1/1;
}
.hero-block .background-image {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  height: auto;
  z-index: -2;
  pointer-events: none;
  user-select: none;
}
.hero-block .background-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.hero-block .background-video {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  height: auto;
  z-index: -2;
  pointer-events: none;
  user-select: none;
}
.hero-block .background-video video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.hero-block .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.2) 100%);
  z-index: -1;
}

@media (max-width: 1750px) {
  .hero-block .hero-badge {
    max-width: 15rem;
  }
}
@media (max-width: 1500px) {
  .hero-block .hero-badge {
    max-width: 12.5rem;
  }
}
@media (max-width: 768px) {
  .hero-block {
    min-height: 63.2rem;
  }
  .hero-block .container {
    padding: clamp(13.4rem, 12vw, 21.2rem) 2.4rem 10rem;
  }
  .hero-block .hero-badge {
    bottom: 0;
  }
}